unofficial mirror of bug-gnu-emacs@gnu.org 
 help / color / mirror / code / Atom feed
* bug#33736: flymake test different-diagnostic-types confuses gcc and CC
@ 2018-12-14  2:35 Glenn Morris
  2018-12-14 19:51 ` Glenn Morris
  0 siblings, 1 reply; 3+ messages in thread
From: Glenn Morris @ 2018-12-14  2:35 UTC (permalink / raw)
  To: 33736

Package: emacs
Version: 27.0.50
Severity: minor

flymake-test's different-diagnostic-types is skipped if "gcc" seems too old.
However, what matters to the rest of the test is $CC, not gcc.
So if gcc is new enough for the test to run, but $CC is older, the test fails.

Eg on RHEL 7.6:

scl enable devtoolset-7 bash
type -ap gcc   # /opt/rh/devtoolset-7/root/usr/bin/gcc
gcc --version  # 7.3.1
make lisp/progmodes/flymake-tests  # 9 tests pass
/usr/bin/gcc --version    # 4.8.5
make lisp/progmodes/flymake-tests CC=/usr/bin/gcc
  -> different-diagnostic-types fails rather than being skipped

This happens on hydra.nixos.org, ref eg https://hydra.nixos.org/build/85857843





^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#33736: flymake test different-diagnostic-types confuses gcc and CC
  2018-12-14  2:35 bug#33736: flymake test different-diagnostic-types confuses gcc and CC Glenn Morris
@ 2018-12-14 19:51 ` Glenn Morris
  2019-01-04 20:21   ` João Távora
  0 siblings, 1 reply; 3+ messages in thread
From: Glenn Morris @ 2018-12-14 19:51 UTC (permalink / raw)
  To: 33736

Glenn Morris wrote:

> flymake-test's different-diagnostic-types is skipped if "gcc" seems too old.
> However, what matters to the rest of the test is $CC, not gcc.

AFAICS the tests are gcc-specific, so the Makefile should enforce that:

--- i/test/lisp/progmodes/flymake-resources/Makefile
+++ w/test/lisp/progmodes/flymake-resources/Makefile
@@ -8,6 +8,6 @@ CC_OPTS = -Wall -Wextra
 ## normally use flymake, so it seems like just avoiding the issue
 ## in this test is fine.  Set flymake-log-level to 3 to investigate.
 check-syntax:
-	GCC_COLORS= $(CC) $(CC_OPTS) ${CHK_SOURCES} || true
+	GCC_COLORS= gcc $(CC_OPTS) ${CHK_SOURCES} || true
 
 # eof





^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#33736: flymake test different-diagnostic-types confuses gcc and CC
  2018-12-14 19:51 ` Glenn Morris
@ 2019-01-04 20:21   ` João Távora
  0 siblings, 0 replies; 3+ messages in thread
From: João Távora @ 2019-01-04 20:21 UTC (permalink / raw)
  To: Glenn Morris; +Cc: 33736

Glenn Morris <rgm@gnu.org> writes:

> Glenn Morris wrote:
>
>> flymake-test's different-diagnostic-types is skipped if "gcc" seems too old.
>> However, what matters to the rest of the test is $CC, not gcc.
>
> AFAICS the tests are gcc-specific, so the Makefile should enforce that:
>
> --- i/test/lisp/progmodes/flymake-resources/Makefile
> +++ w/test/lisp/progmodes/flymake-resources/Makefile
> @@ -8,6 +8,6 @@ CC_OPTS = -Wall -Wextra
>  ## normally use flymake, so it seems like just avoiding the issue
>  ## in this test is fine.  Set flymake-log-level to 3 to investigate.
>  check-syntax:
> -	GCC_COLORS= $(CC) $(CC_OPTS) ${CHK_SOURCES} || true
> +	GCC_COLORS= gcc $(CC_OPTS) ${CHK_SOURCES} || true
>  
>  # eof

Makes sense, thanks.

João





^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-01-04 20:21 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-12-14  2:35 bug#33736: flymake test different-diagnostic-types confuses gcc and CC Glenn Morris
2018-12-14 19:51 ` Glenn Morris
2019-01-04 20:21   ` João Távora

Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/emacs.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).